# This script is used to register/Unregister/Deploy Custom component from terminal
#! /bin/sh

# Computing location of script file
SCRIPT=`readlink -f $0`
SCRIPT_DIR=`dirname $SCRIPT`

installer_dir=D:/Work/Fiorano/10.3.3
echo 'installer_dir: '${installer_dir}
echo ''

cd ${installer_dir}
source fiorano_vars.sh
export CLASSPATH=${CLASSPATH}:${FIORANO_HOME}/antscripts/lib;
cd ${SCRIPT_DIR}

echo 'Select one of the following: '
echo '1. Register'
echo '2. Reregister'
echo '3. Deploy to Studio'
echo '4. Unregister' 
echo '5. Exit'
echo ''
echo -e 'Enter a choice : \c'
read confirm 
	if [ "$confirm" = "1" ]; then
		ant register
	fi
	if [ "$confirm" = "2" ]; then
		ant reregister
	fi
	if [ "$confirm" = "3" ]; then
		ant deployToStudio
	fi
	if [ "$confirm" = "4" ]; then
		ant unregister
	fi
	if [ "$confirm" = "5" ]; then
		exit 0
	fi
	
exit 0