

package com.fiorano.esb.service.filenamedconfig.cps;

import com.fiorano.esb.service.filenamedconfig.model.FileNamedConfigPM;
import com.fiorano.edbc.framework.service.configuration.IServiceConfiguration;
import com.fiorano.edbc.framework.service.cps.JMXPropertySheet;
/**
 * Execution class for FileNamedConfig.
 * This class contains the main method which launches the component when started as an external process.
 * It creates the JMSHandler and new configuration object if needed.
 *
 * @author Fiorano Software Technologies Pvt. Ltd.
 */
public class FileNamedConfigPropertySheet extends JMXPropertySheet {

     protected IServiceConfiguration getDefaultConfiguration() {
        return new FileNamedConfigPM();
    }


}